#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# file      : fconfig.py
# project   : basebuildc
# copyright : (C) 2014 by Claude BULIN
#
# This file is part of basebuildc project
#
# basebuildc is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; version 3.
#
# basebuildc is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA

import sys, os

class FConfig:

	#================================================================
	# name of package
	#================================================================
	__PACKAGE__ = "basebuildc"
	#================================================================
	# version
	#================================================================
	__VERSION__ = "0.0.7"
	#================================================================
	# authors
	#================================================================
	__AUTHOR__  = "Claude BULIN"
	#================================================================
	# adr mail
	#================================================================
	__MAIL__    = "<Claude BULIN dot gmail point com>"
	#================================================================
	# url
	#================================================================
	__URL__     = "<http://www.xcfa.tuxfamily.org/article30/base-build-c>"

	#================================================================
	# def du fichier de config de basebuildc
	#================================================================
	CONFIGFILE = os.getenv("XDG_CONFIG_HOME",
					   os.path.join(os.getenv("HOME"), ".config", "basebuildc" )
					   )
	if not os.path.isdir(CONFIGFILE):
		os.makedirs(CONFIGFILE)

	#================================================================
	# def du repertoire contenant les data de basebuildc
	#================================================================
	DATADIR = os.path.join( os.path.dirname(__file__),"data")
	if not os.path.isdir(DATADIR):
		DATADIR = "/usr/share/basebuildc"

	#================================================================
	# def du repertoire contenant les sources de basebuildc
	#================================================================
	SRCDIR = os.path.join( os.path.dirname(__file__),"src")
	if os.path.isdir(SRCDIR):
		sys.path.append(SRCDIR)
	else:
		SRCDIR = "/usr/share/basebuildc"
		sys.path.append(SRCDIR)

	#================================================================
	# def du repertoire contenant les traductions de basebuildc
	#================================================================
	LOCALE_DIR = "/usr/share/locale/"
	sys.path.append(LOCALE_DIR)

	def print_FConfig():
		print()
		print("CONFIGFILE ", FConfig.CONFIGFILE)
		print("DATADIR    ", FConfig.DATADIR)
		print("SRCDIR     ", FConfig.SRCDIR)
		print("LOCALE_DIR ", FConfig.LOCALE_DIR)
